Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class HeadingType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.HeadingType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class HeadingType extends Object implements Serializable
a heading is used to organise the content of a transaction among chapters or paragraphs.

Java class for headingType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="headingType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="confidentiality" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}confidentialityType" minOccurs="0"/>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-HEADING" maxOccurs="unbounded"/>
             <choice maxOccurs="unbounded">
               <element name="heading" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}headingType"/>
               <element name="item" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}itemType"/>
               <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
               <element name="lnk" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}lnkType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeadingType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CDHEADING>`
  `getCds()`
  the heading must contain at least one code from the CDHEADING scheme.
  `ConfidentialityType`
  `getConfidentiality()`
  Gets the value of the confidentiality property.
  `List<HeadingType>`
  `getHeading()`
  Gets the value of the heading property.
  `List<IDKMEHR>`
  `getIds()`
  this must be a sequential number within the parent transaction or parent heading.
  `List<ItemType>`
  `getItem()`
  Gets the value of the item property.
  `List<LnkType>`
  `getLnk()`
  Gets the value of the lnk property.
  `List<TextType>`
  `getText()`
  Gets the value of the text property.
  `void`
  `setConfidentiality(ConfidentialityType value)`
  Sets the value of the confidentiality property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HeadingType

    public HeadingType()

- ## Method Details

  - ### getConfidentiality

    public ConfidentialityType getConfidentiality()
    Gets the value of the confidentiality property.
    Returns:
      possible object is `ConfidentialityType`

  - ### setConfidentiality

    public void setConfidentiality(ConfidentialityType value)
    Sets the value of the confidentiality property.
    Parameters:
      `value` - allowed object is `ConfidentialityType`

  - ### getIds

    public List<IDKMEHR> getIds()
    this must be a sequential number within the parent transaction or parent heading. In addition, it can be alternative local identifier(s). Gets the value of the ids property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

    For example, to add a new item, do as follows:

         getIds().add(newItem);

    Objects of the following type(s) are allowed in the list `IDKMEHR`

    Returns:
      The value of the ids property.

  - ### getCds

    public List<CDHEADING> getCds()
    the heading must contain at least one code from the CDHEADING scheme. Local codes can be associated. Gets the value of the cds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

    For example, to add a new item, do as follows:

         getCds().add(newItem);

    Objects of the following type(s) are allowed in the list `CDHEADING`

    Returns:
      The value of the cds property.

  - ### getHeading

    public List<HeadingType> getHeading()
    Gets the value of the heading property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the heading property.

    For example, to add a new item, do as follows:

         getHeading().add(newItem);

    Objects of the following type(s) are allowed in the list `HeadingType`

    Returns:
      The value of the heading property.

  - ### getItem

    public List<ItemType> getItem()
    Gets the value of the item property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the item property.

    For example, to add a new item, do as follows:

         getItem().add(newItem);

    Objects of the following type(s) are allowed in the list `ItemType`

    Returns:
      The value of the item property.

  - ### getText

    public List<TextType> getText()
    Gets the value of the text property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the text property.

    For example, to add a new item, do as follows:

         getText().add(newItem);

    Objects of the following type(s) are allowed in the list `TextType`

    Returns:
      The value of the text property.

  - ### getLnk

    public List<LnkType> getLnk()
    Gets the value of the lnk property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the lnk property.

    For example, to add a new item, do as follows:

         getLnk().add(newItem);

    Objects of the following type(s) are allowed in the list `LnkType`

    Returns:
      The value of the lnk property.